cURL
curl \
-X GET 'MEILISEARCH_URL/version' \
-H 'Authorization: Bearer API_KEY'client.getVersion()$client->version();client.get_version()client.getVersion();client.versionclient.GetVersion()await client.GetVersionAsync();let version: Version = client
.get_version()
.await
.unwrap();await client.getVersion();client.version { (result) in
switch result {
case .success(let version):
print(version)
case .failure(let error):
print(error)
}
}{
"commitSha": "b46889b5f0f2f8b91438a08a358ba8f05fc09fc1",
"commitDate": "2021-07-08",
"pkgVersion": "0.23.0"
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}Version
Get version
Return the current Meilisearch version, including the commit SHA and build date.
GET
/
version
cURL
curl \
-X GET 'MEILISEARCH_URL/version' \
-H 'Authorization: Bearer API_KEY'client.getVersion()$client->version();client.get_version()client.getVersion();client.versionclient.GetVersion()await client.GetVersionAsync();let version: Version = client
.get_version()
.await
.unwrap();await client.getVersion();client.version { (result) in
switch result {
case .success(let version):
print(version)
case .failure(let error):
print(error)
}
}{
"commitSha": "b46889b5f0f2f8b91438a08a358ba8f05fc09fc1",
"commitDate": "2021-07-08",
"pkgVersion": "0.23.0"
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({ host: 'MEILISEARCH_URL', apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1' });
Was this page helpful?